Bug 68176 - Kernel 2.4.9-34 i686 intermittant CPIO errors, unable to find files
Kernel 2.4.9-34 i686 intermittant CPIO errors, unable to find files
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-07-07 09:45 EDT by Paul Thompson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Thompson 2002-07-07 09:45:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
Built new box, with dual ATA drives & MD's on all partitions, upgraded via 
up2date all apps.  All working ok, including DHCPD. Upgraded Kernel to 2.4.9-34 
i686 and found dhcpd would not start. Keep complaining that:-
Can't backup lease database /var/lib/dhcp/dhcpd.leases 
to /var/lib/dhcp/dhcpd.leases~: No such file or directory

However, file and directory is fine
[root@redfern root]# cd /var/lib/dhcp/
[root@redfern dhcp]# ll
total 16
-rw-r--r--    1 root     root          417 Jul  7 22:47 dhcpd.leases
-rw-r--r--    1 root     root          417 Jul  7 23:35 dhcpd.leases.1026048957
-rw-r--r--    1 root     root          417 Jul  7 23:36 dhcpd.leases.1026048990
-rw-r--r--    1 root     root          417 Jul  7 23:36 dhcpd.leases.1026048994

So, rebooted with original kernel 2.4.7-10 i386, all works fine.

Check personal linux server and upgraded kernel to 2.4.9-34 i586 and its works 

Attempted to load upgrade to dhcp-3.0pl1-2.i386.rpm and found references to 
CPIO errors under the i686 kernel.  This would aline to the problems I saw 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install 7.2 as i386 binary, install, configure and runup DHCPD
2.Run up2date and update all non-kernel RPMS & reboot
3.Check to ensure DHCPD is still running upon reboot.
4.Upgrade to latest Kernel, reboot and load this.
5.Note error with DHCPD in logs, or manually start with /etc/rc.d/init.d/dhcpd 


Actual Results:  4 hours of trying to work out what the heck was wrong.  Can 
only pin point to the i686 kernel version

Expected Results:  dhcpd should rename the file and run

Additional info:

I need to rollback on the latest kernel of i686 and try i386.
Comment 1 Bugzilla owner 2004-09-30 11:39:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.